module OOP
  class ValueProvider

    class FileLib
      def self.basename(f)
        File.basename(f)
      end
    end
    def file
      FileLib
    end

    class JSONLib
      def self.parse(s)
        JSON.parse(s)
      end
    end
    def json
      JSONLib
    end

    def math
      Math
    end
  end
end
